Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.file
Class FileMemory

    java.lang.Object
      org.deegree.framework.file.FileMemory

    public class FileMemory

extends Object

Version:
  $Revision: 6251 $, $Date: 2007-03-19 16:59:28 +0100 (Mo, 19 Mrz 2007) $
Author:
  Andreas Poth, last edited by: $Author: poth $

Constructor Summary
`FileMemory()`

Method Summary
`static File` | `getLastDirectory(String type)`
`static File` | `getLastFile(String type)`
`static void` | `setLastDirectory(String type, File dir)`
`static void` | `setLastFile(String type, File file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileMemory

    public FileMemory()

Method Detail

### getLastDirectory

    public static File getLastDirectory(String type)

  Parameters:
    `type` - any string that is valid to be part of a file name
  Returns:
    last directory

### setLastDirectory

    public static void setLastDirectory(String type,
                                        File dir)

  Parameters:
    `type` - any string that is valid to be part of a file name
    `dir` -

### getLastFile

    public static File getLastFile(String type)

  Parameters:
    `type` - any string that is valid to be part of a file name
  Returns:
    last file

### setLastFile

    public static void setLastFile(String type,
                                   File file)

  Parameters:
    `type` - any string that is valid to be part of a file name
    `file` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org